Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.gui.dialogs
Class SearchTextDialog

    java.lang.Object
      java.awt.Component
          java.awt.Container
              java.awt.Window
                  java.awt.Dialog
                      javax.swing.JDialog
                          info.webinsel.util.swing.OkCancelApplyDialog
                              info.webinsel.util.swing.OkCancelApplyHelpDialog
                                  info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
                                      info.bioinfweb.treegraph.gui.dialogs.EditDialog
                                          info.bioinfweb.treegraph.gui.dialogs.SearchTextDialog

All Implemented Interfaces:
  ImageObserver, MenuContainer, Serializable, Accessible, RootPaneContainer, WindowConstants

    public class SearchTextDialog

extends EditDialog

See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class javax.swing.JDialog
`JDialog.AccessibleJDialog`

Nested classes/interfaces inherited from class java.awt.Dialog
`Dialog.AccessibleAWTDialog, Dialog.ModalExclusionType, Dialog.ModalityType`

Nested classes/interfaces inherited from class java.awt.Window
`Window.AccessibleAWTWindow`

Nested classes/interfaces inherited from class java.awt.Container
`Container.AccessibleAWTContainer`

Nested classes/interfaces inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary
`private JCheckBox` | `caseSensitiveCheckBox`
`private JCheckBox` | `includeHiddenCheckBox`
`private JPanel` | `jContentPane`
`private JPanel` | `searchPanel`
`private JTextField` | `searchTextField`
`private static long` | `serialVersionUID`
`private JCheckBox` | `wordsOnlyCheckBox`

Fields inherited from class info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
`UNDEFINED_HELP_CODE`

Fields inherited from class javax.swing.JDialog
`accessibleContext, rootPane, rootPaneCheckingEnabled`

Fields inherited from class java.awt.Dialog
`DEFAULT_MODALITY_TYPE`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface javax.swing.WindowConstants
`DISPOSE_ON_CLOSE, DO_NOTHING_ON_CLOSE, EXIT_ON_CLOSE, HIDE_ON_CLOSE`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SearchTextDialog(Frame owner)`

Method Summary
`protected boolean` | `apply()`
`boolean` | `caseSensitive()`
`private JCheckBox` | `getCaseSensitiveCheckBox()` This method initializes caseSensitiveCheckBox
`private JCheckBox` | `getIncludeHiddenCheckBox()` This method initializes includeHiddenCheckBox
`private JPanel` | `getJContentPane()` This method initializes jContentPane
`private JPanel` | `getSearchPanel()` This method initializes searchPanel
`private JTextField` | `getSearchTextField()` This method initializes searchTextField
`String` | `getText()`
`private JCheckBox` | `getWordsOnlyCheckBox()` This method initializes wordsOnlyCheckBox
`boolean` | `includeInternalNodeNames()`
`private void` | `initialize()` This method initializes this
`protected boolean` | `onExecute()`
`boolean` | `wordsOnly()`

Methods inherited from class info.bioinfweb.treegraph.gui.dialogs.EditDialog
`execute, getDocument, getSelection, setDocument, setSelection`

Methods inherited from class info.webinsel.wikihelp.client.OkCancelApplyWikiHelpDialog
`getHelpCode, getWikiHelp, help, setHelpCode`

Methods inherited from class info.webinsel.util.swing.OkCancelApplyHelpDialog
`addMoreButtons`

Methods inherited from class info.webinsel.util.swing.OkCancelApplyDialog
`execute, getApplyButton, getButtonsPanel, getCancelButton, getOkButton`

Methods inherited from class javax.swing.JDialog
`addImpl, createRootPane, dialogInit, getAccessibleContext, getContentPane, getDefaultCloseOperation, getGlassPane, getGraphics, getJMenuBar, getLayeredPane, getRootPane, getTransferHandler, isDefaultLookAndFeelDecorated, isRootPaneCheckingEnabled, paramString, processWindowEvent, remove, repaint, setContentPane, setDefaultCloseOperation, setDefaultLookAndFeelDecorated, setGlassPane, setJMenuBar, setLayeredPane, setLayout, setRootPane, setRootPaneCheckingEnabled, setTransferHandler, update`

Methods inherited from class java.awt.Dialog
`addNotify, getModalityType, getTitle, hide, isModal, isResizable, isUndecorated, setModal, setModalityType, setResizable, setTitle, setUndecorated, setVisible, show, toBack`

Methods inherited from class java.awt.Window
`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowFocusEvent, processWindowStateEvent, removeNotify, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImage, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, toFront`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, transferFocusBackward, transferFocusDownCycle, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusUpCycle`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### jContentPane

    private JPanel jContentPane

### searchPanel

    private JPanel searchPanel

### searchTextField

    private JTextField searchTextField

### caseSensitiveCheckBox

    private JCheckBox caseSensitiveCheckBox

### includeHiddenCheckBox

    private JCheckBox includeHiddenCheckBox

### wordsOnlyCheckBox

    private JCheckBox wordsOnlyCheckBox

Constructor Detail

### SearchTextDialog

    public SearchTextDialog(Frame owner)

Parameters:
  `owner` -

Method Detail

### onExecute

    protected boolean onExecute()

  Specified by:
    `onExecute` in class `EditDialog`

### apply

    protected boolean apply()

  Specified by:
    `apply` in class `info.webinsel.util.swing.OkCancelApplyDialog`

### getText

    public String getText()

### caseSensitive

    public boolean caseSensitive()

### wordsOnly

    public boolean wordsOnly()

### includeInternalNodeNames

    public boolean includeInternalNodeNames()

### initialize

    private void initialize()

  This method initializes this

### getJContentPane

    private JPanel getJContentPane()

  This method initializes jContentPane

  Returns:
    javax.swing.JPanel

### getSearchPanel

    private JPanel getSearchPanel()

  This method initializes searchPanel

  Returns:
    javax.swing.JPanel

### getSearchTextField

    private JTextField getSearchTextField()

  This method initializes searchTextField

  Returns:
    javax.swing.JTextField

### getCaseSensitiveCheckBox

    private JCheckBox getCaseSensitiveCheckBox()

  This method initializes caseSensitiveCheckBox

  Returns:
    javax.swing.JCheckBox

### getIncludeHiddenCheckBox

    private JCheckBox getIncludeHiddenCheckBox()

  This method initializes includeHiddenCheckBox

  Returns:
    javax.swing.JCheckBox

### getWordsOnlyCheckBox

    private JCheckBox getWordsOnlyCheckBox()

  This method initializes wordsOnlyCheckBox

  Returns:
    javax.swing.JCheckBox

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD